# Class BuilderElement<T>

#### Type Parameters

- T extends AttributeData

#### Hierarchy (view full)

- XmlComponent
  - BuilderElement

- Defined in file/xml-components/simple-elements.ts:92

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new BuilderElement<T>(__namedParameters): BuilderElement<T>

- #### Type Parameters

  - T extends AttributeData

  #### Parameters

  - __namedParameters: {
    attributes?: AttributePayload<T>;
    children?: readonly XmlComponent[];
    name: string;
    }

    - ##### `Optional` `Readonly` attributes?: AttributePayload<T>

    - ##### `Optional` `Readonly` children?: readonly XmlComponent[]

    - ##### `Readonly` name: string

  #### Returns BuilderElement<T>

  Overrides XmlComponent.constructor

  - Defined in file/xml-components/simple-elements.ts:93

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc